Bug 694998 - (cufflinks) Review Request: cufflinks - RNA-Seq transcript assembly, differential expression/regulation
Review Request: cufflinks - RNA-Seq transcript assembly, differential express...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2011-04-09 11:01 EDT by Adam Huffman
Modified: 2014-06-06 10:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-27 19:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2011-04-09 11:01:11 EDT
Spec URL: http://verdurin.fedorapeople.org/reviews/cufflinks/cufflinks.spec
SRPM URL: http://verdurin.fedorapeople.org/reviews/cufflinks/cufflinks-0.9.3-1.fc15.src.rpm
Description: 
Cufflinks assembles transcripts, estimates their abundances, and tests
for differential expression and regulation in RNA-Seq samples. It
accepts aligned RNA-Seq reads and assembles the alignments into a
parsimonious set of transcripts. Cufflinks then estimates the relative
abundances of these transcripts based on how many reads support each
one.

Cufflinks is a collaborative effort between the Laboratory for
Mathematical and Computational Biology, led by Lior Pachter at UC
Berkeley, Steven Salzberg's group at the University of Maryland Center
for Bioinformatics and Computational Biology, and Barbara Wold's lab
at Caltech.
Comment 3 Volker Fröhlich 2011-06-30 18:56:30 EDT
That package seems to include lemon and locfit. I just took a quick look though.

There's also a binary in the tarball: cuffmerge. Better delete that!
Comment 4 Adam Huffman 2012-01-30 18:01:57 EST
Update to latest upstream at:

http://verdurin.fedorapeople.org/reviews/cufflinks/cufflinks.spec

http://verdurin.fedorapeople.org/reviews/cufflinks/cufflinks-1.3.0-1.fc16.src.rpm

'cuffmerge' is a Python script.

I've made a start on 'lemon' and 'locfit', for which I'll submit separate review requests.
Comment 5 Volker Fröhlich 2012-07-23 02:27:24 EDT
How's it going here?
Comment 6 Adam Huffman 2012-07-24 03:45:44 EDT
I see version 2 has been released since I last looked at this.  Will get back into it.
Comment 7 Adam Huffman 2013-04-26 07:52:22 EDT
I'm no longer working in this field, so if anyone wants to take up this review request, feel free.
Comment 8 Dave Love 2014-06-06 09:24:09 EDT
I could take this on, but I'm not sure the licence of the locfit component is free;
see the usage exception in the extract below.  
(This is missing from the cufflinks distribution, though I sent a copy of the README to the
maintainer, obtained from the tarball under http://cm.bell-labs.com/stat/project/locfit/.)
The version in the R CRAN repository doesn't have this clause, but is
missing files that appear to be needed for cufflinks.

lemon has just been packaged.


ABOUT ALGORITHMS:
The Locfit implementation has been designed largely from the point
of view of generality: to provide a set of functions that can be
used for as wide a range of local fitting problems as possible.
It is not intended to be the fastest or most efficient implementation
possible. In addition to generality, the code in many places makes
extensive trade-offs made between speed and numerical accuracy (some
of which can be controlled through optional arguments). Many of Locfit's
options will only be used in a small fraction of cases; for other cases,
they add to the cost of overhead (an obvious example is multi-dimensional
fitting: when used in 1-d, many loops reduce to for(i=0;i<1;i++)).
Additionally, the user interfaces (i.e. the R and S-Plus code) add
significantly to the computational overhead. For these reasons, the
Locfit code, as distributed, should not, and can not, be used to
derive meaningful benchmarks, either for the speed or accuracy of algorithms.
Anyone wishing to use Locfit in any kind of comparative benchmark
study must contact and obtain permission from the Author.


COPYRIGHT:

Copyright (c) 1996-2001 Lucent Technologies, Bell Laboratories.
SCB code is
Copyright (c) 1996-2001 Jiayang Sun.

Permission to use, copy, modify, and distribute this software for any
purpose (with the exceptions noted in `About Algorithms' above)
without fee is hereby granted, and provided that this entire notice is
included in all copies of any software which is or includes a copy or
modification of this software and in all copies of the supporting
documentation for such software.

THIS SOFTWARE IS BEING PROVIDED "AS IS", WITHOUT ANY EXPRESS OR IMPLIED
WARRANTY.  IN PARTICULAR, NEITHER THE AUTHOR NOR LUCENT TECHNOLOGIES
MAKE ANY REPRESENTATION OR WARRANTY OF ANY KIND CONCERNING THE
MERCHANTABILITY OF THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR PURPOSE.
Comment 9 Adam Huffman 2014-06-06 10:17:29 EDT
Yes, the license of locfit was one of the things that put me off.

Note You need to log in before you can comment on or make changes to this bug.